(function ($) {

    $('#xero-send-invoice, #xero-send-invoice-payment').on('click', function (e) {
        e.preventDefault();

        var xero_invoice = $(this).data('id');
        var xero_type = $(this).data('call');

        if (null !== xero_invoice && null !== xero_type) {
            xero_send_invoice(xero_invoice, xero_type);
        }
    });

    if ($('input[name="use_extra_sales_account"]').length) {
        var checked_value = $('input[name="use_extra_sales_account"]:checked').val();
        $('.' + checked_value).toggle();
    }

    $('input[name="use_extra_sales_account"]').on('change', function () {
        $('.xeroom_use_extra_sales_accounts').children().hide();
        var to_display = $('.' + $(this).val());

        $(to_display).toggle();
    });

    if ($('input[name="xeroom_tax_method"]').length) {
        var checked_value = $('input[name="xeroom_tax_method"]:checked').val();
        $('.xero_tax_methods_content').find('.xero_inputdiv').hide();

        if ('xero_complex_tax' == checked_value) {
            $('.xero_tax_methods_content').find('.xero_label').css({'text-align': 'left', 'width': '100%'});
        }

        $('.' + checked_value).show();
    }

    $('input[name="xeroom_tax_method"]').on('change', function () {
        $('.xero_tax_methods_content').find('.xero_inputdiv').hide();
        var to_display = $('.' + $(this).val());

        if ('xero_complex_tax' == $(this).val()) {
            $('.xero_tax_methods_content').find('.xero_label').css({'text-align': 'left', 'width': '100%'});
        } else {
            $('.xero_tax_methods_content').find('.xero_label').removeAttr('style');
        }

        $(to_display).toggle();
    });

    if ($('.xeroom-select').length > 0) {
        $('.xeroom-select').select2();
    }

    $('form #xeroom_sync_now').on('click', function (e) {
        e.preventDefault();
        $('#xeroom_sync_response').slideUp().html('');

        var sync_master,
            sync_schedule,
            batch_sync_size;

        sync_master = jQuery('input[name="sync_master"]:checked').val();
        sync_schedule = jQuery('input[name="sync_schedule"]:checked').val();
        batch_sync_size = jQuery('input[name="batch_sync_size"]').val();

        jQuery.ajax({
            type: 'POST',
            url: xero_ajax_object.xeroajax,
            data: {
                master: sync_master,
                schedule: sync_schedule,
                size: batch_sync_size,
                nonce: xero_ajax_object.nonce,
                action: 'xero_sync_stock'
            },
            beforeSend: function () {
                $('#xeroom_sync_response').html(xero_ajax_object.xero_loading).slideDown();
            },
            success: function (data) {
                $('#xeroom_sync_response').html(data).slideDown();
            }
        });
    });

    if ('edit-shop_order' == xero_ajax_object.xero_orders) {
        setTimeout(xeroom_display_invoice_info, 10000);
    }

})(jQuery);

function xeroom_display_invoice_info() {
    jQuery.ajax({
        type: 'POST',
        url: xero_ajax_object.xeroajax,
        data: {
            nonce: xero_ajax_object.nonce,
            action: 'xero_sync_bulk_info'
        },
        success: function (response) {
            if (response.trim() !== '') {
                if (jQuery('.xero_bulk_message').length) {
                    jQuery('.xero_bulk_message').remove();
                }
                if (jQuery('.xero-bulk-info').length) {
                    jQuery('.xero-bulk-info').html('<p>' + response + '</p>');
                } else {
                    jQuery('<div class="updated notice notice-success is-dismissible xero-bulk-info"><p>' + response + '</p></div>').insertAfter('.wp-header-end');
                }
            } else {
                jQuery('.xero-bulk-info').remove();
            }
        },
        complete: function (response) {
            setTimeout(xeroom_display_invoice_info, 10000);
        }
    });
}

function xero_send_invoice(invoice, call_type) {
    jQuery.ajax({
        type: 'POST',
        url: xero_ajax_object.xeroajax,
        data: {
            invoice: invoice,
            call_type: call_type,
            nonce: xero_ajax_object.nonce,
            action: 'xero_send_invoice'
        },
        success: function (data) {
            alert(data);
        }
    });
}
